switch-priv-modes:
  switch_modes: true
  num_switches: 10

priv-mode:
  mode: m

general:
  total_instructions: 500
  regs_not_use: x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 0
  rel_rv32i.data: 0
  rel_rv32i.fence: 0
  rel_rv64i.compute: 0
  rel_rv64i.data: 0
  rel_rv32m: 0
  rel_rv64m: 0  #This is causing an error here
  rel_rv32a: 0
  rel_rv64a: 10
  rel_rv32f: 10
  rel_rv64f: 10
  rel_rv32d: 10
  rel_rv64d: 10
  rel_rvc.ctrl: 0
  rel_rvc.compute: 10
  rel_rvc.sp: 10
  rel_rvc.data: 10
  rel_rvc.fdata: 10
  rel_rv32c.compute: 0
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 0
  rel_rv64c.compute: 10
  rel_rv64c.data: 10

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.5

recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5

access-sections:
  begin_signature: 0x80090000,0x800a0000,rw

user-functions:
  func1: '{1:"addi sp, sp, -32*REGBYTES;
	       SREG x1,1*REGBYTES(sp);
	       SREG x2,2*REGBYTES(sp);
	       SREG x3,3*REGBYTES(sp);
	       SREG x4,4*REGBYTES(sp);
	       SREG x5,5*REGBYTES(sp);
	       SREG x6,6*REGBYTES(sp);
	       SREG x7,7*REGBYTES(sp);
	       SREG x8,8*REGBYTES(sp);
	       SREG x9,9*REGBYTES(sp);
	       SREG x10,10*REGBYTES(sp);
	       SREG x11,11*REGBYTES(sp);
	       SREG x12,12*REGBYTES(sp);
	       SREG x13,13*REGBYTES(sp);
	       SREG x14,14*REGBYTES(sp);
	       SREG x15,15*REGBYTES(sp);
	       SREG x16,16*REGBYTES(sp);
	       SREG x17,17*REGBYTES(sp);
	       SREG x18,18*REGBYTES(sp);
	       SREG x19,19*REGBYTES(sp);
               SREG x20,20*REGBYTES(sp);
	       SREG x21,21*REGBYTES(sp);
	       SREG x22,22*REGBYTES(sp);
	       SREG x23,23*REGBYTES(sp);
	       SREG x24,24*REGBYTES(sp);
	       SREG x25,25*REGBYTES(sp);
	       SREG x26,26*REGBYTES(sp);
	       SREG x27,27*REGBYTES(sp);
	       SREG x28,28*REGBYTES(sp);
	       SREG x29,29*REGBYTES(sp);
	       SREG x30,30*REGBYTES(sp);
	       SREG x31,31*REGBYTES(sp);
la t0, begin_signature;
li a0, 50;
li t1,0;
li a1, 0x213f;
li a2, 0xabef;
li a3, 0x01f8;
li a4, 0xcc17;
li s5, 2047;
addi s5,s5,1;
loop_pg:amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64;
call func3; 
amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); 
call func2;
ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; 
call func3;
amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); 
call func2;
sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); 
call func3;
ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); 
call func2;
sd a2,0(t0); addi t0,t0,64; amoadd.d a3, a4, (t0); amoxor.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64;
call func2;
 amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); 
call func2; 
ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0);
call func3;
 ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; 
call func2;
amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); 
call func3;
ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); 
call func2;
ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64; amomax.d a3, a4, (t0); amomin.w a1, a4, (t0); ld a1,0(t0); sd a2,0(t0); addi t0,t0,64;
addi t1,t1,1;
bne  t1,a0, loop_pg;
		LREG x1,1*REGBYTES(sp);
		LREG x2,2*REGBYTES(sp);
		LREG x3,3*REGBYTES(sp);
		LREG x4,4*REGBYTES(sp);
		LREG x5,5*REGBYTES(sp);
		LREG x6,6*REGBYTES(sp);
		LREG x7,7*REGBYTES(sp);
		LREG x8,8*REGBYTES(sp);
		LREG x9,9*REGBYTES(sp);
		LREG x10,10*REGBYTES(sp);
		LREG x11,11*REGBYTES(sp);
		LREG x12,12*REGBYTES(sp);
		LREG x13,13*REGBYTES(sp);
		LREG x14,14*REGBYTES(sp);
		LREG x15,15*REGBYTES(sp);
		LREG x16,16*REGBYTES(sp);
		LREG x17,17*REGBYTES(sp);
		LREG x18,18*REGBYTES(sp);
		LREG x19,19*REGBYTES(sp);
		LREG x20,20*REGBYTES(sp);
		LREG x21,21*REGBYTES(sp);
		LREG x22,22*REGBYTES(sp);
		LREG x23,23*REGBYTES(sp);
		LREG x24,24*REGBYTES(sp);
		LREG x25,25*REGBYTES(sp);
		LREG x26,26*REGBYTES(sp);
		LREG x27,27*REGBYTES(sp);
		LREG x28,28*REGBYTES(sp);
		LREG x29,29*REGBYTES(sp);
		LREG x30,30*REGBYTES(sp);
		LREG x31,31*REGBYTES(sp);
		addi sp, sp, +32*REGBYTES; "
}'

#Rand break load
  func2: '{1:"addi sp, sp, -32*REGBYTES;
	       SREG x1,1*REGBYTES(sp);
	       SREG x2,2*REGBYTES(sp);
	       SREG x3,3*REGBYTES(sp);
	       SREG x4,4*REGBYTES(sp);
	       SREG x5,5*REGBYTES(sp);
	       SREG x6,6*REGBYTES(sp);
	       SREG x7,7*REGBYTES(sp);
	       SREG x8,8*REGBYTES(sp);
	       SREG x9,9*REGBYTES(sp);
	       SREG x10,10*REGBYTES(sp);
	       SREG x11,11*REGBYTES(sp);
	       SREG x12,12*REGBYTES(sp);
	       SREG x13,13*REGBYTES(sp);
	       SREG x14,14*REGBYTES(sp);
	       SREG x15,15*REGBYTES(sp);
	       SREG x16,16*REGBYTES(sp);
	       SREG x17,17*REGBYTES(sp);
	       SREG x18,18*REGBYTES(sp);
	       SREG x19,19*REGBYTES(sp);
               SREG x20,20*REGBYTES(sp);
	       SREG x21,21*REGBYTES(sp);
	       SREG x22,22*REGBYTES(sp);
	       SREG x23,23*REGBYTES(sp);
	       SREG x24,24*REGBYTES(sp);
	       SREG x25,25*REGBYTES(sp);
	       SREG x26,26*REGBYTES(sp);
	       SREG x27,27*REGBYTES(sp);
	       SREG x28,28*REGBYTES(sp);
	       SREG x29,29*REGBYTES(sp);
	       SREG x30,30*REGBYTES(sp);
	       SREG x31,31*REGBYTES(sp);
 la s1, begin_signature;
slli s7,s5,1;
li s11, 40;
mul s10, s11,s7;
li s2, 0;
li s4, 0x40;
li s3,0;
loop_index_load:ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7; ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;ld s3, 0(s1); add s1,s1,s7;
sub s1,s1,s10;
addi s1,s1,64;
addi s2,s2,1;
bne s2,s4, loop_index_load;
LREG x1,1*REGBYTES(sp);
		LREG x2,2*REGBYTES(sp);
		LREG x3,3*REGBYTES(sp);
		LREG x4,4*REGBYTES(sp);
		LREG x5,5*REGBYTES(sp);
		LREG x6,6*REGBYTES(sp);
		LREG x7,7*REGBYTES(sp);
		LREG x8,8*REGBYTES(sp);
		LREG x9,9*REGBYTES(sp);
		LREG x10,10*REGBYTES(sp);
		LREG x11,11*REGBYTES(sp);
		LREG x12,12*REGBYTES(sp);
		LREG x13,13*REGBYTES(sp);
		LREG x14,14*REGBYTES(sp);
		LREG x15,15*REGBYTES(sp);
		LREG x16,16*REGBYTES(sp);
		LREG x17,17*REGBYTES(sp);
		LREG x18,18*REGBYTES(sp);
		LREG x19,19*REGBYTES(sp);
		LREG x20,20*REGBYTES(sp);
		LREG x21,21*REGBYTES(sp);
		LREG x22,22*REGBYTES(sp);
		LREG x23,23*REGBYTES(sp);
		LREG x24,24*REGBYTES(sp);
		LREG x25,25*REGBYTES(sp);
		LREG x26,26*REGBYTES(sp);
		LREG x27,27*REGBYTES(sp);
		LREG x28,28*REGBYTES(sp);
		LREG x29,29*REGBYTES(sp);
		LREG x30,30*REGBYTES(sp);
		LREG x31,31*REGBYTES(sp);
		addi sp, sp, +32*REGBYTES; "
}'
#Rand break store 
  func3: '{1:"addi sp, sp, -32*REGBYTES;
	       SREG x1,1*REGBYTES(sp);
	       SREG x2,2*REGBYTES(sp);
	       SREG x3,3*REGBYTES(sp);
	       SREG x4,4*REGBYTES(sp);
	       SREG x5,5*REGBYTES(sp);
	       SREG x6,6*REGBYTES(sp);
	       SREG x7,7*REGBYTES(sp);
	       SREG x8,8*REGBYTES(sp);
	       SREG x9,9*REGBYTES(sp);
	       SREG x10,10*REGBYTES(sp);
	       SREG x11,11*REGBYTES(sp);
	       SREG x12,12*REGBYTES(sp);
	       SREG x13,13*REGBYTES(sp);
	       SREG x14,14*REGBYTES(sp);
	       SREG x15,15*REGBYTES(sp);
	       SREG x16,16*REGBYTES(sp);
	       SREG x17,17*REGBYTES(sp);
	       SREG x18,18*REGBYTES(sp);
	       SREG x19,19*REGBYTES(sp);
               SREG x20,20*REGBYTES(sp);
	       SREG x21,21*REGBYTES(sp);
	       SREG x22,22*REGBYTES(sp);
	       SREG x23,23*REGBYTES(sp);
	       SREG x24,24*REGBYTES(sp);
	       SREG x25,25*REGBYTES(sp);
	       SREG x26,26*REGBYTES(sp);
	       SREG x27,27*REGBYTES(sp);
	       SREG x28,28*REGBYTES(sp);
	       SREG x29,29*REGBYTES(sp);
	       SREG x30,30*REGBYTES(sp);
	       SREG x31,31*REGBYTES(sp);
la s1, begin_signature;
slli s7,s5,1;
li s11, 40;
mul s10, s11,s7;
li s2, 0;
li s4, 0x40;
li s3,0;
loop_index_store:sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7; sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;sd s3, 0(s1); add s1,s1,s7;
sub s1,s1,s10;
addi s1,s1,64;
addi s2,s2,1;
bne s2,s4, loop_index_store;
LREG x1,1*REGBYTES(sp);
		LREG x2,2*REGBYTES(sp);
		LREG x3,3*REGBYTES(sp);
		LREG x4,4*REGBYTES(sp);
		LREG x5,5*REGBYTES(sp);
		LREG x6,6*REGBYTES(sp);
		LREG x7,7*REGBYTES(sp);
		LREG x8,8*REGBYTES(sp);
		LREG x9,9*REGBYTES(sp);
		LREG x10,10*REGBYTES(sp);
		LREG x11,11*REGBYTES(sp);
		LREG x12,12*REGBYTES(sp);
		LREG x13,13*REGBYTES(sp);
		LREG x14,14*REGBYTES(sp);
		LREG x15,15*REGBYTES(sp);
		LREG x16,16*REGBYTES(sp);
		LREG x17,17*REGBYTES(sp);
		LREG x18,18*REGBYTES(sp);
		LREG x19,19*REGBYTES(sp);
		LREG x20,20*REGBYTES(sp);
		LREG x21,21*REGBYTES(sp);
		LREG x22,22*REGBYTES(sp);
		LREG x23,23*REGBYTES(sp);
		LREG x24,24*REGBYTES(sp);
		LREG x25,25*REGBYTES(sp);
		LREG x26,26*REGBYTES(sp);
		LREG x27,27*REGBYTES(sp);
		LREG x28,28*REGBYTES(sp);
		LREG x29,29*REGBYTES(sp);
		LREG x30,30*REGBYTES(sp);
		LREG x31,31*REGBYTES(sp);
		addi sp, sp, +32*REGBYTES; "
}'

i-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

d-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 0.5
  war_prob: 0.5
  waw_prob: 0.5
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1; \n sw gp, tohost, t5;\n fence.i;\n li t6,  0x20000; \n la t5, begin_signature; \n sw t5, 0(t6); \n la t5, end_signature \n sw t5, 8(t6); \n sw t5,  12(t6);"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"

